Bug 1316860 - Rules are not firing as expected in BusinessRulesTask
Rules are not firing as expected in BusinessRulesTask
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity high
: ER2
: 6.3.0
Assigned To: Mario Fusco
Tibor Zimanyi
:
Depends On:
Blocks: 1316862 1316867
  Show dependency treegraph
 
Reported: 2016-03-11 05:26 EST by Martin Weiler
Modified: 2016-04-01 07:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-1089 Major Resolved Reentrant working memory actions aren't flushed immediately even when eager evaluation is forced 2016-09-29 06:06 EDT

  None (edit)
Description Martin Weiler 2016-03-11 05:26:11 EST
Description of problem:
Platform issue for https://issues.jboss.org/browse/DROOLS-1089

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a process with multiple BusinessRulesTask
2. Create related rules where the LHS constraint evaluates the existence of an object (eg. $p : Person())
3. Objects are passed into the BusinessRulesTask using the Input/Output mapping

Actual results:
Some rules are not fired

Expected results:
All rules are fired

Additional info:
Comment 1 Kris Verlaenen 2016-03-16 11:21:40 EDT
Mario, https://issues.jboss.org/browse/DROOLS-1089 mentions this has been fixed on master, could this be cherry-picked to 6.4.x for 6.3 release?

Setting blocker flag for 6.3 as this has also been requested for 6.2.3
Comment 2 Kris Verlaenen 2016-03-16 11:27:30 EDT
Never mind previous comment, already cherry picked to 6.4.x:
https://github.com/droolsjbpm/drools/commit/05d8440befa7b886ed21e7244937911032f3f564
Comment 3 Tibor Zimanyi 2016-04-01 07:29:47 EDT
Verified by running reproducer from linked BZ [1].

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1316867

Note You need to log in before you can comment on or make changes to this bug.